function [ y ] = pol2(p, x )
%
%     y = p(1) x^n + p(2) *x^(n-1) + ... + p(n) *x + p(n+1)
%
nc = length(p);
n  = nc-1;
%  x^j = x^(j-1)*x
xp = 1;
y = p(nc);
for i=n:-1:1
    xp=xp.*x;
    y = y + p(i).*xp;
end

% costo computazionale, complessita' di calcolo
%
%   somme =  n
%   prodotti = 2*n
% 


end

